<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  </head>
  <body>
    <h1>Test export excel customer</h1>
    <button id="export-excel-customer">Test</button>
  </body>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/customers/export/customers/excel";

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
      $("#export-excel-customer").on("click", function () {
        onBtnTest();
      });
    });

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onBtnTest() {
      console.log("Nút nhấn test xuất excel đã được nhấn.");
      window.location.href = gBASE_URL;
    }
  </script>
</html>
